package com.persagy.dmp.rwd.demand.entity;

import lombok.Data;

import java.util.List;

/**
 * 需求通用查询条件
 * @author Charlie Yu
 * @date 2021-09-16
 */
@Data
public class QueryDemandVO {

    /** 下拉筛选条件 - 0：所有需求 1：我的需求 */
    private Integer creatorCond;
    /** 模糊匹配 - 编码、主题 */
    private String matchingCond;
    /** 产线条件 */
    private List<Integer> productCond;
    /** 状态条件 */
    private List<Integer> stateCond;
}
