package com.persagy.dmp.rwd.digital.service;

import com.persagy.dmp.basic.dto.RelationCalDTO;
import com.persagy.dmp.basic.dto.RelationCalRuleDTO;
import com.persagy.dmp.rwd.digital.domain.CalculatingDTO;

import java.util.List;

/***
 * Description: 关系计算逻辑类
 * @author : lijie
 * @date :2021/9/8 16:46
 * Update By lijie 2021/9/8 16:46
 */
public interface CalculateService {
    /***
     * Description: 计算关系逻辑
     * @param calRule : 计算规则对象
     * @param calculatingDTO : 请求参数
     * @return : void
     * @author : lijie
     * @date :2021/9/8 17:09
     * Update By lijie 2021/9/8 17:09
     */
    void calculateRelation(RelationCalRuleDTO calRule, CalculatingDTO calculatingDTO);
}
