package com.persagy.dmp.message.model.dto;

import com.alibaba.fastjson.JSONArray;
import lombok.Data;

import java.util.List;

/**
 * 邮件所附属附件DTO
 * @author linhuili
 * @date 2021-09-30
 */
@Data
public class AttachmentDTO {

    /** 附件名称 */
    private String attachmentName;

    /** 附件base64字符串 */
    private String attachmentValue;

    /** sheet页名称 */
    private String sheetName;

    /** sheetLines */
    private JSONArray sheetLines;

    /** 此参数生成带excel的附件,数组为每一行数据 */
    private List<AttachmentDTO> attachmentExcelArray;
}
