package com.persagy.dmp.rwd.simple.dao;

import com.persagy.dmp.basic.dto.RequestData;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author lvxy
 * @date 2021/10/9
 */
public interface SystemCustomMapper {
    /**
     *确定建筑不确定楼层 buildingId is not null
     */
    List<Map<String,Object>> querySystemNotSureFloor(@Param("param") RequestData requestData);

    /**
     *不确定建筑 buildingId is null
     */
    List<Map<String,Object>> querySystemNotSureBuilding(@Param("param") RequestData requestData);
}
