package com.persagy.dmp.file.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.file.domain.FileRequestData;
import com.persagy.dmp.file.model.FileInfo;

import java.util.List;

/***
 * Description: 文件上传处理逻辑
 * @author : lijie
 * @date :2021/10/9 20:09
 * Update By lijie 2021/10/9 20:09
 */
public interface FileUploadService extends IService<FileInfo> {
    /***
     * Description: 初始化文件上传路径列表
     * @param requestData : 请求参数
     * @return : java.util.List<com.persagy.dmp.file.model.FileInfo>
     * @author : lijie
     * @date :2021/10/9 20:27
     * Update By lijie 2021/10/9 20:27
     */
    List<FileInfo> initChunkUpload(FileRequestData requestData);
}
