package com.persagy.dmp.sender.service;

import com.persagy.dmp.message.model.vo.MessageVO;
import com.persagy.dmp.message.model.vo.SenderRegister;

/**
 * 消息 执行接口
 * @author Charlie Yu
 * @date 2021-05-24
 */
public interface IMessageSender {

    /**
     * 初始化消息处理器参数
     * @param register
     * @return 是否初始化成功
     */
    boolean initParam(SenderRegister register);

    /**
     * 发送消息
     * @param vo
     */
    void send(MessageVO vo) throws Exception;
}
