package com.persagy.dmp.basic.dto;

import lombok.Data;

/***
 * Description: 图计算信息类
 * @author : lijie
 * @date :2021/9/7 20:53
 * Update By lijie 2021/9/7 20:53
 */
@Data
public class CoordinateCalInfo {
    /**左侧计算坐标的信息点code*/
    private String fromInfoCode;
    /**右侧计算坐标的信息点code*/
    private String toInfoCode;
    /**是否从文件key查询对应业务id作为关系侧id,有种计算器是先根据model_id关联的业务id作为楼层*/
    private Boolean calRelFromFileRelFlag;
    /**关系左侧为点的标识,true-关系左侧是点,false-关系左侧是面*/
    private Boolean fromIsPointFlag;
    /**关系右侧为点的标识,true-关系右侧是点,false-关系右侧是面*/
    private Boolean toIsPointFlag;




}
