package com.persagy.dmp.basic.dto;

import lombok.Data;

/***
 * Description: 关系DTO
 * @author : lijie
 * @date :2021/9/7 16:35
 * Update By lijie 2021/9/7 16:35
 */
@Data
public class RelationCalDTO {
    /**图类型编码*/
    private String graphCode;
    /**关系编码*/
    private String relCode;
    /**空间类型编码*/
    private String relValue;
    /**前一种关系的是用左侧关系还是右侧关系与当前关系做关联*/
    private Boolean preRelDirection;
    /**当前关系的是用左侧关系还是右侧关系与前一种关系做关联*/
    private Boolean currentRelDirection;


}
